import { SpatialObject } from './SpatialObject';
export declare class SpatialTree {
    private root;
    constructor(spatialObjects: SpatialObject[]);
    intersect(ray: THREE.Ray): SpatialObject[];
    private buildTree;
    private findLongestAxis;
    private addSpatialObjects;
    private sortNodesAlongAxis;
}
